/** This permission is used to check access to the proxy endpoint
 * @public
 */
export declare const kubernetesProxyPermission: import("@backstage/plugin-permission-common").BasicPermission;
/** This permission is used to check access to the /resources and /services/:serviceId endpoints
 * @public
 */
export declare const kubernetesResourcesReadPermission: import("@backstage/plugin-permission-common").BasicPermission;
/** This permission is used to check access to the /clusters endpoint
 * @public
 */
export declare const kubernetesClustersReadPermission: import("@backstage/plugin-permission-common").BasicPermission;
/**
 * List of all Kubernetes permissions.
 * @public
 */
export declare const kubernetesPermissions: import("@backstage/plugin-permission-common").BasicPermission[];
